d3.csv('https://gist.githubusercontent.com/mahee0725/0a63ab46cce6ebab6f3d7e79c3eb85db/raw/bd3d52724a7ed0d32fb4a8c70092ef116e8a0f3b/walmart.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'Weekly_Sales'), y: unpack(rows, 'year'), z: unpack(rows, 'Temperature'),
	mode: 'markers',
	marker: {
		size: 10,
		line: {
		color: 'rgba(245, 210, 215, 0.10)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter3d'
};


var data = [trace1];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  }};
Plotly.newPlot('myDiv', data, layout);
});
